IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_THREAD_TRACE_LOG')
 CREATE TABLE T_THREAD_TRACE_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FKEY VARCHAR(30) DEFAULT ' ' NOT NULL,
FINDEX VARCHAR(100) DEFAULT ' ' NOT NULL,
FINSTANCEID VARCHAR(100) DEFAULT ' ' NOT NULL,
FXAXIS VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FASSISTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMESSAGE NCLOB,
FSUMMARY VARCHAR(1000) DEFAULT ' ' NOT NULL,
FREDISMAX BIGINT DEFAULT 0 NOT NULL,
FDBMAX BIGINT DEFAULT 0 NOT NULL,
FTIMESTAMP DATETIME
);